ZOOZ Power Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/zooz-power-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759708800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/10/06/3161758/0/en/ZOOZ-Purchases-329-Bitcoin-valued-at-40-Million-Bringing-Total-Holding-to-854-Bitcoin-Valued-at-More-than-100m.html",
    "holding_balance": 854.0,
    "holding_net_change": 329.0,
    "transaction_value_usd": 40000000.0,
    "average_entry_value_usd": 121580.55,
    "transaction_value_calculated": false
  },
  {
    "date": 1760572800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/10/16/3167917/0/en/ZOOZ-Purchases-88-More-Bitcoin-Growing-Its-Total-Bitcoin-Treasury-to-942-Bitcoin.html",
    "holding_balance": 942.0,
    "holding_net_change": 88.89,
    "transaction_value_usd": 9999900.0,
    "average_entry_value_usd": 112500.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1761609600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/10/28/3175536/0/en/ZOOZ-Expands-Its-Bitcoin-Treasury-to-1-036-Bitcoin-Following-Additional-Purchase.html",
    "holding_balance": 1036.0,
    "holding_net_change": 94.0,
    "transaction_value_usd": 10528000.0,
    "average_entry_value_usd": 112000.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1036.0
  ],
  [
    1779062400000,
    1036.0
  ],
  [
    1779148800000,
    1036.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    80217334.96
  ],
  [
    1779062400000,
    79714263.72
  ],
  [
    1779148800000,
    79523370.36
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.27,
    "date": "2026-05-15",
    "high": 0.282,
    "open": 0.275,
    "close": 0.28,
    "volume": 174700
  },
  {
    "low": 0.269,
    "date": "2026-05-18",
    "high": 0.295,
    "open": 0.279,
    "close": 0.294,
    "volume": 262700
  },
  {
    "low": 0.2756,
    "date": "2026-05-19",
    "high": 0.3029,
    "open": 0.2838,
    "close": 0.29,
    "volume": 423480
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -9.66,
  "six_month_return": -44.44,
  "three_month_return": -23.68
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/zooz-power-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 157.2,
  "total_btc_percentage": 0.005,
  "share_price_change_state": "up"
}